Package org.eclipse.m2m.atl.emftvm

## Interface Operation

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Feature`, `NamedElement`, `org.eclipse.emf.common.notify.Notifier`, `TypedElement`

All Known Implementing Classes:
  `OperationImpl`

    public interface Operation
    extends Feature

A representation of the model object 'Operation'.

See Also:
  `EmftvmPackage.getOperation()`

### Method Summary

All Methods Instance Methods Abstract Methods
`CodeBlock` `getBody()` Returns the value of the 'Body' containment reference.
`org.eclipse.emf.common.util.EList<Parameter>` `getParameters()` Returns the value of the 'Parameters' containment reference list.
`boolean` `isQuery()` Returns the value of the 'Query' attribute.
`void` `setBody​(CodeBlock value)` Sets the value of the '`Body`' containment reference.
`void` `setQuery​(boolean value)` Sets the value of the '`Query`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Feature

`getContext, getContextModel, getEContext, getModule, isStatic, setContext, setContextModel, setEContext, setModule, setStatic`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Method Detail

#### getParameters

    org.eclipse.emf.common.util.EList<Parameter> getParameters()

Returns the value of the 'Parameters' containment reference list. The list contents are of type `Parameter`. It is bidirectional and its opposite is '`Operation`'.

If the meaning of the 'Parameters' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Parameters' containment reference list.
See Also:
  `EmftvmPackage.getOperation_Parameters()`, `Parameter.getOperation()`

#### isQuery

    boolean isQuery()

Returns the value of the 'Query' attribute.

If the meaning of the 'Query' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Query' attribute.
See Also:
  `setQuery(boolean)`, `EmftvmPackage.getOperation_Query()`

#### setQuery

    void setQuery​(boolean value)

Sets the value of the '`Query`' attribute.

Parameters:
  `value` - the new value of the 'Query' attribute.
See Also:
  `isQuery()`

#### getBody

    CodeBlock getBody()

Returns the value of the 'Body' containment reference. It is bidirectional and its opposite is '`Body For`'.

If the meaning of the 'Body' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Body' containment reference.
See Also:
  `setBody(CodeBlock)`, `EmftvmPackage.getOperation_Body()`, `CodeBlock.getBodyFor()`

#### setBody

    void setBody​(CodeBlock value)

Sets the value of the '`Body`' containment reference.

Parameters:
  `value` - the new value of the 'Body' containment reference.
See Also:
  `getBody()`